/*******************************************************************************
 * Instance třídy {@code Person} představují ...
 *
 * @author    jméno autora
 * @version   0.00.000
 */
public class Person {
    
    private String name;
    private String nick;
    
    public Person(String name, String nick) {
        this.name = name;
        this.nick = nick;
    }
    
    public Person(String name) {
        this(name, null);
    }
    
    public Person() {
        this("UNKNOWN");
    }
    
    public void writeInfo() {
        System.out.println(this.name);
        System.out.println(this.nick);
    }
    
    public void setNick(String nick) {
        this.nick = nick;
    }
    
    public String getName() {
        return this.name;
    }
    
    public String getNick() {
        return this.nick;
    }
    
    public void sayHelloTo(Person whomToGreet) {
        sayHelloTo(whomToGreet, 1);
    }
    
    public void sayHelloTo(Person whomToGreet, int howManyTimes) {
        if(this == whomToGreet) {
            System.out.println("Cannot greet myself");
        } else {
            for(int i = 0; i < howManyTimes; i++) {
                System.out.println(" person "+getNick()
                    +" says hello to "+whomToGreet.getNick());
            }
        }
    }
}
